Package org.opensaml.soap.wssecurity

# Interface IdBearing

All Known Subinterfaces:
  `AttributedDateTime`, `AttributedString`, `AttributedURI`, `BinarySecurityToken`, `Created`, `EncodedString`, `EncryptedHeader`, `Expires`, `KeyIdentifier`, `Nonce`, `Password`, `Policy`, `SecurityTokenReference`, `SignatureConfirmation`, `Timestamp`, `Username`, `UsernameToken`

All Known Implementing Classes:
  `AttributedDateTimeImpl`, `AttributedStringImpl`, `AttributedURIImpl`, `BinarySecurityTokenImpl`, `CreatedImpl`, `EncodedStringImpl`, `EncryptedHeaderImpl`, `ExpiresImpl`, `KeyIdentifierImpl`, `NonceImpl`, `PasswordImpl`, `PolicyImpl`, `SecurityTokenReferenceImpl`, `SignatureConfirmationImpl`, `TimestampImpl`, `UsernameImpl`, `UsernameTokenImpl`

public interface IdBearing
Interface for element having a `@wsu:Id` attribute.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`WSU_ID_ATTR_LOCAL_NAME`
the `Id` attribute local name.
`static final QName`
`WSU_ID_ATTR_NAME`
the `wsu:Id` qualified attribute name.

## Method Summary

Modifier and Type
Method
Description
`String`
`getWSUId()`
Returns the `@wsu:Id` attribute value.
`void`
`setWSUId(String newId)`
Sets the `@wsu:Id` attribute value.

## Field Details

### WSU_ID_ATTR_LOCAL_NAME

@Nonnull @NotEmpty static final String WSU_ID_ATTR_LOCAL_NAME
the `Id` attribute local name.

See Also:
  - Constant Field Values

### WSU_ID_ATTR_NAME

@Nonnull static final QName WSU_ID_ATTR_NAME
the `wsu:Id` qualified attribute name.

## Method Details

### getWSUId

@Nullable String getWSUId()
Returns the `@wsu:Id` attribute value.

Returns:
  The `@wsu:Id` attribute value or `null`.

### setWSUId

void setWSUId(@Nullable String newId)
Sets the `@wsu:Id` attribute value.

Parameters:
  `newId` - The `@wsu:Id` attribute value